Index: branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/cloud_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/cloud_effect.cc	(revision 9357)
@@ -40,5 +40,5 @@
 float     CloudEffect::fadeTime;
 
-using namespace std;
+
 
 SHELL_COMMAND(activate, CloudEffect, activateCloud);
Index: branches/proxy/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/fog_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/fog_effect.cc	(revision 9357)
@@ -28,5 +28,5 @@
 SHELL_COMMAND(fadeout, FogEffect, fadeOutFog);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(FogEffect, CL_FOG_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/graphics_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/graphics_effect.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/lense_flare.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/lense_flare.cc	(revision 9357)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/lightning_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/lightning_effect.cc	(revision 9357)
@@ -34,5 +34,5 @@
 SHELL_COMMAND(deactivate, LightningEffect, deactivateLightning);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(LightningEffect, CL_LIGHTNING_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/rain_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/rain_effect.cc	(revision 9357)
@@ -39,5 +39,5 @@
 SHELL_COMMAND(stopraining, RainEffect, stopRaining);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(RainEffect, CL_RAIN_EFFECT,
Index: branches/proxy/src/lib/graphics/effects/sun_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/sun_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/sun_effect.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/volfog_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/volfog_effect.cc	(revision 9357)
@@ -47,5 +47,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(VolFogEffect, CL_VOLFOG_EFFECT);
Index: branches/proxy/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- branches/proxy/src/lib/graphics/effects/weather_effect.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/effects/weather_effect.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/importer/bsp_file.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/bsp_file.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/bsp_file.cc	(revision 9357)
@@ -40,5 +40,5 @@
 #include <vector>
 
-using namespace std;
+
 
 
@@ -96,5 +96,5 @@
   if (stat( name , &results) == 0) {
     PRINTF(0)("BSP FILE: Datei %s gefunden. \n", name);
-    ifstream bspFile (name, ios::in | ios::binary);
+    std::ifstream bspFile (name, std::ios::in | std::ios::binary);
     bspFile.read(this->header, 260);
     PRINTF(0)("BSP FILE: BSPVersion: %i. \n", ((int *)(header) )[1]);
Index: branches/proxy/src/lib/graphics/importer/grid.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/grid.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/grid.cc	(revision 9357)
@@ -18,5 +18,5 @@
 #include "grid.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/importer/interactive_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/interactive_model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/interactive_model.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "glincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/md2/md2Model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/md2/md2Model.cc	(revision 9357)
@@ -22,5 +22,5 @@
 
 
-using namespace std;
+
 
 //! the model anorms
Index: branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/md3/md3_animation_cfg.cc	(revision 9357)
@@ -26,5 +26,5 @@
 
 
-using namespace std;
+
 
 namespace md3
Index: branches/proxy/src/lib/graphics/importer/model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/model.cc	(revision 9357)
@@ -20,5 +20,5 @@
 #include "glincl.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/primitive_model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/primitive_model.cc	(revision 9357)
@@ -21,5 +21,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/importer/static_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include <stdarg.h>
 
-using namespace std;
+
 
 
@@ -178,5 +178,5 @@
 
   //! @todo do we really have to delete this material??
-  list<ModelMaterial*>::iterator modMat;
+  std::list<ModelMaterial*>::iterator modMat;
   for(modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
   {
@@ -358,5 +358,5 @@
 Material* StaticModel::findMaterialByName(const std::string& materialName)
 {
-  list<ModelMaterial*>::iterator modMat;
+  std::list<ModelMaterial*>::iterator modMat;
   for  (modMat = this->materialList.begin(); modMat != this->materialList.end(); modMat++)
     if (materialName == (*modMat)->material->getName())
Index: branches/proxy/src/lib/graphics/importer/vertex_array_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "tc.h"
 
-using namespace std;
+
 
 /////////////
Index: branches/proxy/src/lib/graphics/render2D/image_plane.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/image_plane.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/render2D/image_plane.cc	(revision 9357)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/render2D/render_2d.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/render_2d.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/render2D/render_2d.cc	(revision 9357)
@@ -22,5 +22,5 @@
 #include "element_2d.h"
 
-using namespace std;
+
 
 /**
Index: branches/proxy/src/lib/graphics/shader.cc
===================================================================
--- branches/proxy/src/lib/graphics/shader.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/shader.cc	(revision 9357)
@@ -32,5 +32,5 @@
 #endif
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9357)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-using namespace std;
+
 #define QUADTREE_MATERIAL_COUNT       4
 
Index: branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "util/list.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9357)
@@ -23,5 +23,5 @@
 #include "compiler.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- branches/proxy/src/lib/graphics/text_engine/text_engine.cc	(revision 9354)
+++ branches/proxy/src/lib/graphics/text_engine/text_engine.cc	(revision 9357)
@@ -26,5 +26,5 @@
 #include "font.h"
 
-using namespace std;
+
 
 #include <stdlib.h>
@@ -122,5 +122,5 @@
 void TextEngine::debug() const
 {
-  const list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
+  const std::list<BaseObject*>* textList = ClassList::getList(CL_TEXT);
   if (textList != NULL)
   {
@@ -130,5 +130,5 @@
     PRINT(0)("Reference: %p; Text Counts: %d\n", this, textList->size());
 
-    list<BaseObject*>::const_iterator text;
+    std::list<BaseObject*>::const_iterator text;
     for ( text = textList->begin(); text != textList->end(); text++)
       dynamic_cast<Text*>(*text)->debug();