Index: code/branches/release2012/src/modules/CMakeLists.txt
===================================================================
--- code/branches/release2012/src/modules/CMakeLists.txt	(revision 9351)
+++ code/branches/release2012/src/modules/CMakeLists.txt	(revision 9359)
@@ -38,3 +38,2 @@
 ADD_SUBDIRECTORY(weapons)
 ADD_SUBDIRECTORY(docking)
-ADD_SUBDIRECTORY(towerdefense)
Index: code/branches/release2012/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- code/branches/release2012/src/orxonox/controllers/CMakeLists.txt	(revision 9351)
+++ code/branches/release2012/src/orxonox/controllers/CMakeLists.txt	(revision 9359)
@@ -5,5 +5,4 @@
   ArtificialController.cc
   AIController.cc
-  ScriptController.cc
   WaypointController.cc
   WaypointPatrolController.cc
Index: code/branches/release2012/src/orxonox/controllers/ScriptController.cc
===================================================================
--- code/branches/release2012/src/orxonox/controllers/ScriptController.cc	(revision 9351)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include "ScriptController.h"
-#include "core/CoreIncludes.h"
-
-namespace orxonox
-{
-    CreateFactory(ScriptController);
-
-    ScriptController::ScriptController(BaseObject* creator) : ArtificialController(creator)
-    {
-        RegisterObject(ScriptController);
-    }
-}
Index: code/branches/release2012/src/orxonox/controllers/ScriptController.h
===================================================================
--- code/branches/release2012/src/orxonox/controllers/ScriptController.h	(revision 9351)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _ScriptController_H__
-#define _ScriptController_H__
-
-#include "OrxonoxPrereqs.h"
-#include "ArtificialController.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport ScriptController : public ArtificialController
-    {
-        public:
-            ScriptController(BaseObject* creator);
-            virtual ~ScriptController() { }
-
-        private:
-    };
-}
-
-#endif /* _ScriptController_H__ */