Index: data/branches/dataRelease2012/materials/Playfield.material
===================================================================
--- data/branches/dataRelease2012/materials/Playfield.material	(revision 9352)
+++ 	(revision )
@@ -1,20 +1,0 @@
-material PlayField
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.640000 0.640000 0.640000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture playfield_top.png
-				tex_address_mode wrap
-				filtering trilinear
-			}
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/Spacebomb.material
===================================================================
--- data/branches/dataRelease2012/materials/Spacebomb.material	(revision 9352)
+++ 	(revision )
@@ -1,28 +1,0 @@
-material spacebom_metal
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			//ambient 0.500000 0.500000 0.500000 1.000000
-			//diffuse 0.800000 0.800000 0.800000 1.000000
-			//emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_metal_016.png
-				scale 0.1 0.1
-				//tex_address_mode wrap
-				//filtering trilinear
-				//colour_op modulate
-			}
-		}
-//		pass
-//		{
-//			ambient 0.0 0.0 0.0
-//			diffuse 0.0 0.0 0.0
-//			specular 0.292481 0.277763 0.277763 1.000000 12.500000
-//			scene_blend add
-//		}
-	}
-}
Index: data/branches/dataRelease2012/materials/Tower.material
===================================================================
--- data/branches/dataRelease2012/materials/Tower.material	(revision 9352)
+++ 	(revision )
@@ -1,25 +1,0 @@
-material Material/TEXFACE/RustySteel.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture RustySteel.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/axes.material
===================================================================
--- data/branches/dataRelease2012/materials/axes.material	(revision 9352)
+++ 	(revision )
@@ -1,56 +1,0 @@
-material blue
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.092061 0.000000 0.800000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
-material green
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.000000 0.800000 0.000000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
-material grey
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.448000 0.448000 0.448000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
-material red
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.000000 0.000000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/can.material
===================================================================
--- data/branches/dataRelease2012/materials/can.material	(revision 9352)
+++ 	(revision )
@@ -1,25 +1,0 @@
-material can/TEXFACE/can.tga
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture can.png
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/cokebottle.material
===================================================================
--- data/branches/dataRelease2012/materials/cokebottle.material	(revision 9352)
+++ 	(revision )
@@ -1,62 +1,0 @@
-material cokebottle
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			
-			scene_blend alpha_blend
-			depth_write off
-			ambient 1.000000 1.000000 1.000000 0.500000
-			diffuse 0.640000 0.640000 0.640000 0.500000
-			specular 0.500000 0.500000 0.500000 0.500000 12.500000
-			emissive 0.000000 0.000000 0.000000 0.500000
-
- 			texture_unit
-       			{
-         		 colour_op_ex source1 src_manual src_current 175 238 238
-         		 alpha_op_ex source1 src_manual src_current 0.5
-       			}
-		}
-	}
-}
-material label/TEXFACE
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 1.000000 1.000000 1.000000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
-material label/TEXFACE/cokelabel.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 1.000000 1.000000 1.000000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture cokelabel.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/plane.material
===================================================================
--- data/branches/dataRelease2012/materials/plane.material	(revision 9352)
+++ 	(revision )
@@ -1,20 +1,0 @@
-
-material Ac3d/Plane/Mat001_Tex00
-{
-	technique
-	{
-		pass
-		{
-			ambient 1 1 1 1
-			diffuse 1 1 1 1
-			specular 0.75 0.75 1 1 10
-
-			texture_unit
-			{
-				texture tiled_floor.jpg
-				filtering anisotropic
-				max_anisotropy 8
-			}
-		}
-	}
-}
Index: data/branches/dataRelease2012/materials/planet.material
===================================================================
--- data/branches/dataRelease2012/materials/planet.material	(revision 9352)
+++ 	(revision )
@@ -1,71 +1,0 @@
-material planet/TEXFACE/planet.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 10.800000 10.800000 10.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-
-			texture_unit
-			{
-				texture planet1024.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-
-
-material planet/Atmosphere
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{  
-			depth_write off
-			lighting off
-			scene_blend alpha_blend
-			depth_check on
-			
-			texture_unit
-			{
-				texture atmospheretype3.png
-			}			
-		}
-	}
-}
-
-
-material atmosphere1
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{  
-			depth_write off
-			lighting off
-			scene_blend alpha_blend
-			depth_check on
-			
-			texture_unit
-			{
-				texture atmospheretype1.png
-			}			
-		}
-	}
-}
-
-
-
Index: data/branches/dataRelease2012/materials/stunweapon.material
===================================================================
--- data/branches/dataRelease2012/materials/stunweapon.material	(revision 9352)
+++ 	(revision )
@@ -1,25 +1,0 @@
-material stunweaponmaterial/TEXFACE/model1-UV_Cylinder_firsttry.tga
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture model1-UV_Cylinder_firsttry.png
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.500000 0.500000 0.500000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}