Index: branches/proxy/src/lib/graphics/importer/material.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/material.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/importer/material.cc	(revision 9371)
@@ -88,5 +88,5 @@
 Material::~Material()
 {
-  PRINTF(5)("delete Material %s.\n", this->getName());
+  PRINTF(5)("delete Material %s.\n", this->getCName());
 
   if (this->ambientTexture != NULL)
@@ -217,5 +217,5 @@
 void Material::setIllum (int illum)
 {
-  PRINTF(4)("setting illumModel of Material %s to %i\n", this->getName(), illum);
+  PRINTF(4)("setting illumModel of Material %s to %i\n", this->getCName(), illum);
   this->illumModel = illum;
 }
@@ -229,5 +229,5 @@
 void Material::setDiffuse (float r, float g, float b)
 {
-  PRINTF(4)("setting Diffuse Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Diffuse Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->diffuse = Color(r, g, b, this->diffuse.a() );
 }
@@ -242,5 +242,5 @@
 void Material::setAmbient (float r, float g, float b)
 {
-  PRINTF(4)("setting Ambient Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Ambient Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->ambient = Color(r, g, b, 1.0);
 }
@@ -254,5 +254,5 @@
 void Material::setSpecular (float r, float g, float b)
 {
-  PRINTF(4)("setting Specular Color of Material %s to r=%f g=%f b=%f.\n", this->getName(), r, g, b);
+  PRINTF(4)("setting Specular Color of Material %s to r=%f g=%f b=%f.\n", this->getCName(), r, g, b);
   this->specular = Color (r, g, b, 1.0);
 }
@@ -273,5 +273,5 @@
 void Material::setTransparency (float trans)
 {
-  PRINTF(4)("setting Transparency of Material %s to %f.\n", this->getName(), trans);
+  PRINTF(4)("setting Transparency of Material %s to %f.\n", this->getCName(), trans);
   this->diffuse.a() = trans;
 }
@@ -455,5 +455,5 @@
 void Material::debug() const
 {
-  PRINT(0)("Debug Material: %s\n", this->getName());
+  PRINT(0)("Debug Material: %s\n", this->getCName());
   PRINT(0)("illumModel: %d ; ShiniNess %f\n", this->illumModel, shininess);
   PRINT(0)("diffuseColor: "); diffuse.debug();
Index: branches/proxy/src/lib/graphics/importer/static_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/importer/static_model.cc	(revision 9371)
@@ -161,7 +161,7 @@
 {
   PRINTF(4)("Deleting Model ");
-  if (this->getName())
-  {
-    PRINT(4)("%s\n", this->getName());
+  if (!this->getName().empty())
+  {
+    PRINT(4)("%s\n", this->getCName());
   }
   else
@@ -214,5 +214,5 @@
 void StaticModel::rebuild()
 {
-  PRINTF(3)("Rebuilding Model '%s'\n", this->getName());
+  PRINTF(3)("Rebuilding Model '%s'\n", this->getCName());
   this->finalize();
 }
@@ -266,5 +266,5 @@
     tmpGroup = tmpGroup->next;
   }
-  PRINTF(2)("Model number %i in %s not Found.\n", groupNumber, this->getName());
+  PRINTF(2)("Model number %i in %s not Found.\n", groupNumber, this->getCName());
   return;
 }
@@ -291,5 +291,5 @@
     tmpGroup = tmpGroup->next;
   }
-  PRINTF(2)("Model Named %s in %s not Found.\n", groupName.c_str(), this->getName());
+  PRINTF(2)("Model Named %s in %s not Found.\n", groupName.c_str(), this->getCName());
   return;
 }
@@ -748,5 +748,5 @@
         {
           tmpFace->material->select();
-          PRINTF(5)("using material %s for coming Faces.\n", tmpFace->material->getName());
+          PRINTF(5)("using material %s for coming Faces.\n", tmpFace->material->getCName());
         }
       }
@@ -840,5 +840,5 @@
       else if( tmpFace->vertexCount > 4) {
         if (!warned)        {
-          PRINTF(2)("This model (%s) got over 4 vertices per face <=> conflicts in the CD engine!\n", this->getName());
+          PRINTF(2)("This model (%s) got over 4 vertices per face <=> conflicts in the CD engine!\n", this->getCName());
           warned = true;
         }
Index: branches/proxy/src/lib/graphics/importer/texture.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/texture.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/importer/texture.cc	(revision 9371)
@@ -230,5 +230,5 @@
   if (this->data->getStoredImage() != NULL)
   {
-    PRINTF(3)("Reloading Texture of %s '%s'\n", this->getClassName(), this->getName());
+    PRINTF(3)("Reloading Texture of %s '%s'\n", this->getClassCName(), this->getCName());
     this->setTexture(Texture::loadTexToGL(this->data->getStoredImage()));
   }
Index: branches/proxy/src/lib/graphics/importer/texture_sequence.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/texture_sequence.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/importer/texture_sequence.cc	(revision 9371)
@@ -225,5 +225,5 @@
 bool TextureSequence::rebuild()
 {
-  PRINTF(3)("Reloading TextureSequence of %s '%s'\n", this->getClassName(), this->getName());
+  PRINTF(3)("Reloading TextureSequence of %s '%s'\n", this->getClassCName(), this->getCName());
 
   for (unsigned int i = 0; i < this->textures.size(); i++)
Index: branches/proxy/src/lib/graphics/importer/vertex_array_model.cc
===================================================================
--- branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/importer/vertex_array_model.cc	(revision 9371)
@@ -116,5 +116,5 @@
 VertexArrayModel::~VertexArrayModel()
 {
-  PRINTF(4)("Deleting VertexArrayModel %s\n", this->getName());
+  PRINTF(4)("Deleting VertexArrayModel %s\n", this->getCName());
 }
 
@@ -127,5 +127,5 @@
 void VertexArrayModel::draw() const
 {
-  PRINTF(4)("drawing 3D-VertexArrayModel %s\n", this->getName());
+  PRINTF(4)("drawing 3D-VertexArrayModel %s\n", this->getCName());
   glEnableClientState(GL_VERTEX_ARRAY );
   glEnableClientState(GL_TEXTURE_COORD_ARRAY );
@@ -343,5 +343,5 @@
 void VertexArrayModel::debug() const
 {
-  PRINT(0)("VertexArrayModel (%s): debug\n", this->getName());
+  PRINT(0)("VertexArrayModel (%s): debug\n", this->getCName());
   PRINT(0)("Stripes: %d; Indices: %d; Vertices: %d; Normals %d; TextCoords %d; Colors %d\n",
             this->stripes.size(),
Index: branches/proxy/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/render2D/element_2d.cc	(revision 9371)
@@ -214,7 +214,7 @@
   {
     PRINTF(2)("Unable to set %s to layer %s, because it's parent(%s) is of higher layer %s\n",
-              this->getName(),
+              this->getCName(),
               Element2D::layer2DToChar(layer),
-              this->parent->getName(),
+              this->parent->getCName(),
               Element2D::layer2DToChar(this->parent->getLayer()));
     layer = this->parent->getLayer();
@@ -602,6 +602,6 @@
       {
         PRINTF(2)("Layer '%s' of Child(%s::%s) lower than parents(%s::%s) layer '%s'. updating...\n",
-                  Element2D::layer2DToChar(child->getLayer()),child->getClassName(), child->getName(),
-                  this->getClassName(), this->getName(), Element2D::layer2DToChar(this->layer));
+                  Element2D::layer2DToChar(child->getLayer()),child->getClassCName(), child->getCName(),
+                  this->getClassCName(), this->getCName(), Element2D::layer2DToChar(this->layer));
         child->layer = this->layer;
         this->children.push_front(child);
@@ -627,5 +627,5 @@
     {
       PRINTF(1)("Tried to reparent2D to own child '%s::%s' to '%s::%s'.\n",
-                this->getClassName(), this->getName(), child->getClassName(), child->getName());
+                this->getClassCName(), this->getCName(), child->getClassCName(), child->getCName());
       child->parent = NULL;
     }
@@ -701,5 +701,5 @@
     {
       (*reparenter)->reparent2D();
-      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassName(),(*reparenter)->getParent2D()->getName());
+      PRINTF(5)("REPARENTED TO: %s::%s\n",(*reparenter)->getParent2D()->getClassCName(),(*reparenter)->getParent2D()->getCName());
     }
   }
@@ -723,5 +723,5 @@
   else
     PRINTF(2)("Not Found Element2D's (%s::%s) new Parent by Name: %s\n",
-              this->getClassName(), this->getName(), parentName.c_str());
+              this->getClassCName(), this->getCName(), parentName.c_str());
 }
 
@@ -865,5 +865,5 @@
         Vector2D tmp = *this->toCoordinate;
         this->setRelCoor2D(tmp);
-        PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+        PRINTF(5)("SmoothMove of %s finished\n", this->getCName());
       }
     }
@@ -879,5 +879,5 @@
         float tmp = *this->toDirection;
         this->setRelDir2D(tmp);
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -893,5 +893,5 @@
         delete this->toSize;
         this->toSize = NULL;
-        PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+        PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
       }
     }
@@ -900,5 +900,5 @@
     this->lastAbsCoordinate = this->absCoordinate;
 
-    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getName(), this->absCoordinate.x, this->absCoordinate.y);
+    PRINTF(5)("Element2D::update - %s - (%f, %f)\n", this->getCName(), this->absCoordinate.x, this->absCoordinate.y);
 
 
@@ -1026,6 +1026,6 @@
     PRINT(0)(" -");
   PRINT(0)("E2D(%s::%s);AC:(%0.2f, %0.2f);RC:(%0.2f, %0.2f);AD(%0.2f)->%s;Layer:(%s)\n",
-           this->getClassName(),
-           this->getName(),
+           this->getClassCName(),
+           this->getCName(),
            this->absCoordinate.x,
            this->absCoordinate.y,
Index: branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc
===================================================================
--- branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9371)
@@ -160,4 +160,4 @@
 void LimitedWidthText::debug() const
 {
-  printf("Debug %s::%s \n", this->getClassName(), this->getName() );
+  printf("Debug %s::%s \n", this->getClassCName(), this->getCName() );
 }
Index: branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc
===================================================================
--- branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9371)
@@ -152,5 +152,5 @@
 void MultiLineText::debug() const
 {
- printf("Debug %s::%s: %d lines\n", this->getClassName(), this->getName(), this->getLineCount());
+ printf("Debug %s::%s: %d lines\n", this->getClassCName(), this->getCName(), this->getLineCount());
 
  std::string tmpText = this->text();
Index: branches/proxy/src/lib/graphics/text_engine/text.cc
===================================================================
--- branches/proxy/src/lib/graphics/text_engine/text.cc	(revision 9357)
+++ branches/proxy/src/lib/graphics/text_engine/text.cc	(revision 9371)
@@ -279,5 +279,5 @@
 void Text::debug() const
 {
-  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getName(), this->_font.getName(), this->_text.c_str());
+  PRINT(0)("=== TEXT: %s (with Font:'%s')  displaying %s ===\n", this->getCName(), this->_font.getCName(), this->_text.c_str());
   //  PRINT(0)("Color: r=%0.2f g=%0.2f b=%0.2f a=%0.2f\n", this->_color.r(), this->_color.g(), this->_color.b(), this->_color.a());
 }